
// SYMBOL_INFO from Dbghelp.inc, with extended .Name
struct MYSYMBOL_INFO 
{
	ULONG	SizeOfStruct;
	ULONG	TypeIndex;
	ULONG64	Reserved[2];
	ULONG	Reserved2;
	ULONG	Size;
	ULONG64	ModBase;
	ULONG	Flags;
	ULONG64	Value;
	ULONG64	Address;
	ULONG	Register;
	ULONG	Scope;
	ULONG	Tag;
	ULONG	NameLen;
	ULONG	MaxNameLen;
	dstring	Name[1024];
}

struct MYEXCEPTION_POINTERS {
    EXCEPTION_RECORD * ExceptionRecord;
    CONTEXT * ContextRecord;
	HANDLE hThread;
}

// this is a set of data shared betwen multiple subroutines
struct THREAD_DATA
{
	HWND hwndList;
	HWND hwndDelay;
	TCHAR szBuff[MAX_PATH];
	MYEXCEPTION_POINTERS *ExceptionInfo;
	LVITEM lvi;
}
